Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Fetching contributors…

Octocat-spinner-32-eaf2f5

Cannot retrieve contributors at this time

file 66 lines (53 sloc) 2.712 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65
UPGRADING instructions
======================

Follow these instructions if upgrading from a previous version
of Roundcube Webmail. We recommend to carefully backup the existing
installation as well as the database before going through the following steps.

Using the update script
-----------------------
There is a shell script (for unix based systems) that does the job for you.
To use it, unpack the archive of the new Roundcube version to a temporary location
(don't replace the Roundcube installation you want to update)
and cd into that directory. From there, run the following command in a shell:

  ./bin/installto.sh <TARGET-FOLDER>

For <TARGET-FOLDER> you specify the path to the Roundcube installation
which should be updated. The update script will then copy all new files to the
target location and check and update the configuration and database schema.
After all is done, the temporary folder with the new Roundcube files can be
removed again.

WARNING: See Post-Upgrade Activities section below.


Updating manually
-----------------
If you don't have shell access to the Roundcube installation or if not running
it on a unix system, you need to do the following operations by hand:

1. Replace index.php and all files in
   - ./bin/
   - ./SQL/
   - ./program/
2. rsync the contents of the following folders from your installation
   directory into the target folder:
   ./skins/
   ./plugins/
3. Run ./bin/update.sh from the commandline OR
   open http://url-to-roundcube/installer/ in a browser and choose "3 Test config".
   To enable the latter one, you have to temporary set 'enable_installer'
   to true in your local config/main.inc.php file.
   WARNING: See SQLite database upgrade below.
4. Let the update script/installer check your configuration and
   update your config files and database schema as suggested by the updater.
5. Make sure 'enable_installer' is set to false again.
6. See Post-Upgrade Activities section.


Post-Upgrade Activities
-----------------------
1. Check .htaccess settings (some php settings could become required)
2. If you're using build-in addressbook, run indexing script /bin/indexcontacts.sh.
3. When upgrading from version older than 0.6-beta you should make sure
   your folder settings contain namespace prefix. For example Courier users
   should add INBOX. prefix to folder names in main configuration file.
4. Check system requirements in INSTALL file.

SQLite database upgrade
-----------------------
Versions older than 0.9 were supporting SQLite v2 only. Newer versions require
database in v3 format. The best what you can do is to convert database file
to the new format using command line tools:

sqlite OLD.DB .dump | sqlite3 NEW.DB
Something went wrong with that request. Please try again.